package com.uas.platform.b2b.service;

import com.uas.platform.b2b.model.Role;

import java.util.List;

public interface RoleService {

	/**
	 * 查找当前企业下所有角色
	 * 
	 * @return
	 */
	public List<Role> findAll();

	/**
	 * 查找指定企业下所有角色
	 * 
	 * @return
	 */
	public List<Role> findByEnterprise(long enUU);

	/**
	 * 保存角色信息
	 * 
	 * @param role
	 * @return
	 */
	public Role save(Role role);

	/**
	 * 查找角色
	 * 
	 * @param id
	 * @return
	 */
	public Role findById(long id);

	/**
	 * 删除角色
	 * 
	 * @param role
	 */
	public void delete(Role role);

	/**
	 * 删除角色
	 * 
	 * @param id
	 */
	public void delete(long id);

    /**
     * 通过enUU和userUU查询角色信息
     *
     * @param enUU
     * @param userUU
     * @return
     */
    List<Role> findByEnUUAndUserUU(Long enUU, Long userUU);
}
